# region.cpp File Reference

Implementation of the "Region" layer. More...

`#include "region.h"`
`#include <ETL/stringf>`
`#include <ETL/bezier>`
`#include <ETL/hermite>`
`#include <synfig/string.h>`
`#include <synfig/time.h>`
`#include <synfig/context.h>`
`#include <synfig/paramdesc.h>`
`#include <synfig/renddesc.h>`
`#include <synfig/surface.h>`
`#include <synfig/value.h>`
`#include <synfig/valuenode.h>`
`#include <synfig/segment.h>`
`#include <synfig/valuenode_bline.h>`

## Defines

#define | SAMPLES 75

## Functions

| SYNFIG_LAYER_INIT (Region)
| SYNFIG_LAYER_SET_NAME (Region,"region")
| SYNFIG_LAYER_SET_LOCAL_NAME (Region, N_("Region"))
| SYNFIG_LAYER_SET_CATEGORY (Region, N_("Geometry"))
| SYNFIG_LAYER_SET_VERSION (Region,"0.1")
| SYNFIG_LAYER_SET_CVS_ID (Region,"$Id$")

## Detailed Description

Implementation of the "Region" layer.

$Id$

=== N O T E S ===========================================================

=========================================================================

## Define Documentation

#define SAMPLES 75

## Function Documentation

SYNFIG_LAYER_INIT | ( | Region |  | ) |

SYNFIG_LAYER_SET_NAME | ( | Region | ,
|  | "region" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | Region | ,
|  | N_("Region") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | Region | ,
|  | N_("Geometry") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | Region | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | Region | ,
|  | "$Id$" |  |
| ) |  |  |